Package org.eclipse.emf.cdo.lm

# Interface ModuleElement

All Superinterfaces:
  `CDOObject`, `CDOWithID`, `EObject`, `ModelElement`, `Notifier`, `SystemElement`

All Known Subinterfaces:
  `Baseline`, `Change`, `Delivery`, `DeliveryReview`, `Dependency`, `Drop`, `DropReview`, `ExtendedBaseline`, `FixedBaseline`, `FloatingBaseline`, `Review`, `Stream`, `StreamElement`

All Known Implementing Classes:
  `BaselineImpl`, `ChangeImpl`, `DeliveryImpl`, `DeliveryReviewImpl`, `DependencyImpl`, `DropImpl`, `DropReviewImpl`, `FixedBaselineImpl`, `FloatingBaselineImpl`, `ReviewImpl`, `StreamImpl`

public interface ModuleElement extends SystemElement
A representation of the model object 'Module Element'.

See Also:
  - `LMPackage.getModuleElement()`
Generated
Model
  interface="true" abstract="true"
No Implement
  This interface is not intended to be implemented by clients.
No Extend
  This interface is not intended to be extended by clients.

## Method Summary

Modifier and Type
Method
Description
`Module`
`getModule()`

### Methods inherited from interface org.eclipse.emf.cdo.CDOObject

`cdoConflict, cdoDirectResource, cdoHistory, cdoID, cdoInvalid, cdoLockState, cdoPermission, cdoPrefetch, cdoReadLock, cdoReload, cdoResource, cdoRevision, cdoRevision, cdoState, cdoView, cdoWriteLock, cdoWriteOption`

### Methods inherited from interface org.eclipse.emf.ecore.EObject

`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

### Methods inherited from interface org.eclipse.emf.cdo.etypes.ModelElement

`getAnnotation, getAnnotations`

### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

`eAdapters, eDeliver, eNotify, eSetDeliver`

### Methods inherited from interface org.eclipse.emf.cdo.lm.SystemElement

`getSystem`

## Method Details

### getModule

Module getModule()

Generated
Model
  kind="operation" required="true"